This URL allows you to add the details of stacked Sensors.
Resource URL
sensorstack
Request Parameters
Payload parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Device type details | String | Yes |
| Model type of stack | String | Yes |
| Shared secret key details | String | Yes |
| Capacity details | Number | Yes |
| Description details | String | Yes |
| Name of the stack | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct.
Field Name | Description | Data Type |
|---|---|---|
| Displays the success status | Boolean |
| Displays the message | String |
| Displays the error message | String |
| An object that contains the details of the field | Number |
| Error code | Number |
Example
Request
POST https://<IPSM_IP>/sdkapi/sensorstack
Payload
{
"deviceType": "suricata",
"stackModelType": "NS9600",
"sharedsecret": "admin123",
"capacity": 120,
"description": "",
"stackName": "suricata"
}Response
{
"success": true,
"msg": "Success",
"errMsg": "",
"data": 110,
"errorCode": 0
}Error Information
The following error code is returned by this URL:
S.No | Generic Error Codes | ErrorMessage | Error Reason |
|---|---|---|---|
1 | 1001 | Bad URL - HTTP 404 Not Found | Mistyped URL |
Internal Error – Null | Incorrect Input data, authentication issues |